package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户试卷结果对象 bus_exam_user_result
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusExamUserResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户试卷主键 */
    @Excel(name = "用户试卷主键")
    private Long examUserId;

    /** 问题主键 */
    @Excel(name = "问题主键")
    private Long questionId;

    /** 用户答案 */
    @Excel(name = "用户答案")
    private String answers;

    /** 排序 */
    @Excel(name = "排序")
    private Long sortBy;

    /** 答题结果 */
    @Excel(name = "答题结果")
    private String useRes;

    /** 答题得分 */
    @Excel(name = "答题得分")
    private String useMark;

    public void setExamUserId(Long examUserId) 
    {
        this.examUserId = examUserId;
    }

    public Long getExamUserId() 
    {
        return examUserId;
    }
    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setAnswers(String answers) 
    {
        this.answers = answers;
    }

    public String getAnswers() 
    {
        return answers;
    }
    public void setSortBy(Long sortBy) 
    {
        this.sortBy = sortBy;
    }

    public Long getSortBy() 
    {
        return sortBy;
    }
    public void setUseRes(String useRes) 
    {
        this.useRes = useRes;
    }

    public String getUseRes() 
    {
        return useRes;
    }
    public void setUseMark(String useMark) 
    {
        this.useMark = useMark;
    }

    public String getUseMark() 
    {
        return useMark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("examUserId", getExamUserId())
            .append("questionId", getQuestionId())
            .append("answers", getAnswers())
            .append("sortBy", getSortBy())
            .append("useRes", getUseRes())
            .append("useMark", getUseMark())
            .toString();
    }
}
